services:
  recipe-importer:
    image: gitea.dooplex.hu/admin/recipe-importer:0.1.0
    container_name: recipe-importer
    restart: unless-stopped
    ports:
      - "8011:8000"
    volumes:
      - recipe-data:/data
    environment:
      - SECRET_KEY=change-me-in-production
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.controller.rule=Host(`rimport.demo-felhom.eu`)"
      - "traefik.http.routers.controller.entrypoints=websecure"
      - "traefik.http.routers.controller.tls=true"
      - "traefik.http.services.controller.loadbalancer.server.port=8080"
      - "traefik.docker.network=traefik-public"

volumes:
  recipe-data:

networks:
  traefik-public:
    external: true